Package org.eclipse.microprofile.config.tck

## Class CustomConverterTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.CustomConverterTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

    public class CustomConverterTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
`CustomConverterTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testBoolean()`
`void` `testBooleanPrimitive()`
`void` `testCharacter()`
`void` `testCharPrimitive()`
`void` `testDouble()`
`void` `testDoublePrimitive()`
`void` `testGetBooleanConverter()`
`void` `testGetBooleanPrimitiveConverter()`
`void` `testGetCharacterConverter()`
`void` `testGetCharPrimitiveConverter()`
`void` `testGetDoubleConverter()`
`void` `testGetDoublePrimitiveConverter()`
`void` `testGetIntegerConverter()`
`void` `testGetIntPrimitiveConverter()`
`void` `testGetLongConverter()`
`void` `testGetLongPrimitiveConverter()`
`void` `testInteger()`
`void` `testIntPrimitive()`
`void` `testLong()`
`void` `testLongPrimitive()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomConverterTest

    public CustomConverterTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### testInteger

    public void testInteger()

#### testIntPrimitive

    public void testIntPrimitive()

#### testLong

    public void testLong()

#### testLongPrimitive

    public void testLongPrimitive()

#### testDouble

    public void testDouble()

#### testDoublePrimitive

    public void testDoublePrimitive()

#### testBoolean

    public void testBoolean()

#### testBooleanPrimitive

    public void testBooleanPrimitive()

#### testCharacter

    public void testCharacter()

#### testCharPrimitive

    public void testCharPrimitive()

#### testGetIntegerConverter

    public void testGetIntegerConverter()

#### testGetIntPrimitiveConverter

    public void testGetIntPrimitiveConverter()

#### testGetLongConverter

    public void testGetLongConverter()

#### testGetLongPrimitiveConverter

    public void testGetLongPrimitiveConverter()

#### testGetDoubleConverter

    public void testGetDoubleConverter()

#### testGetDoublePrimitiveConverter

    public void testGetDoublePrimitiveConverter()

#### testGetBooleanConverter

    public void testGetBooleanConverter()

#### testGetBooleanPrimitiveConverter

    public void testGetBooleanPrimitiveConverter()

#### testGetCharacterConverter

    public void testGetCharacterConverter()

#### testGetCharPrimitiveConverter

    public void testGetCharPrimitiveConverter()